Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.query
Class ResultObject

    java.lang.Object
      com.sun.mdm.index.query.ResultObject

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class ResultObject
extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

Result object

See Also:
  Serialized Form

Nested Class Summary
`class` | `ResultObject.MetaData` Meta data

Constructor Summary
`ResultObject()` Creates new BlockElement

Method Summary
`void` | `addField(java.lang.String name, java.lang.Object value)` add a field value to the set, given the field name
`java.lang.Object` | `clone()` Clone object
`ResultObject.MetaData` | `getMetaData()` return the meta data associated with this MatchObject
`java.util.Set` | `getValues(java.lang.String name)` Get values
`ResultObject` | `getValuesByType(java.lang.String type)` returns a ResultObject containing the values for a particular type
`void` | `setMetaData(ResultObject.MetaData md)` set the meta data
`void` | `setValues(java.lang.String name, java.util.Set s)` replace the set of values for a given name
`java.lang.String` | `toString()` String representation

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResultObject

    public ResultObject()

  Creates new BlockElement

Method Detail

### addField

    public void addField(java.lang.String name,
                         java.lang.Object value)

  add a field value to the set, given the field name

  Parameters:
    `name` - field name
    `value` - value to be added to the set

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone object

  Returns:
    cloned object
  Throws:
    `java.lang.CloneNotSupportedException` - clone not supported

### getMetaData

    public ResultObject.MetaData getMetaData()

  return the meta data associated with this MatchObject

  Returns:
    meta data

### getValues

    public java.util.Set getValues(java.lang.String name)

  Get values

  Parameters:
    `name` - field name
  Returns:
    values

### getValuesByType

    public ResultObject getValuesByType(java.lang.String type)

  returns a ResultObject containing the values for a particular type

  Parameters:
    `type` - type of the object, i.e. Address, phone, etc
  Returns:
    a MatchObject containing only the fields that makes up the type

### setMetaData

    public void setMetaData(ResultObject.MetaData md)

  set the meta data

  Parameters:
    `md` - meta data

### setValues

    public void setValues(java.lang.String name,
                          java.util.Set s)

  replace the set of values for a given name

  Parameters:
    `name` - field name
    `s` - set representing the value

### toString

    public java.lang.String toString()

  String representation

  Returns:
    string representation

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.